summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKevin King2017-12-22 17:48:26 -0500
committerKevin King2017-12-22 17:48:26 -0500
commita10e3b0edbea0251c9c521cdaafdf50d9d1083fc (patch)
treef40a10e851cf3a218beef792918049587e74d70c
parent7120012b75431ce1ee792ba28f71e9b0779bca42 (diff)
downloadaur-a10e3b0edbea0251c9c521cdaafdf50d9d1083fc.tar.gz
silence which rustup output
-rw-r--r--PKGBUILD4
1 files changed, 2 insertions, 2 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 8e3848bc6ee..f2f5c970d80 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -27,8 +27,8 @@ pkgver() {
}
prepare() {
- # ensure a toolchain is selected
- rustup which cargo || rustup default stable || true
+ # ensure a toolchain is selected if rustup was used to install rust
+ (which rustup 2>/dev/null && (rustup which cargo || rustup default stable)) || true
mkdir -p "${srcdir}/src/github.com/kryptco/"
rm -rf "${srcdir}/src/github.com/kryptco/kr"
mv "${srcdir}/kr" "${srcdir}/src/github.com/kryptco/kr"